tux_goto_data_dir
cd courses/themes/common

# snow marks
tux_load_texture snow_head buttstart.png 1
tux_load_texture snow_mark buttprint.png 1
tux_load_texture snow_tail buttstop.png 1
tux_bind_texture snow_head snow_head
tux_bind_texture snow_mark snow_mark
tux_bind_texture snow_tail snow_tail

# dirtsnow marks
tux_bind_texture dirtsnow_head snow_head
tux_bind_texture dirtsnow_mark snow_mark
tux_bind_texture dirtsnow_tail snow_tail

# mud marks
tux_load_texture mud_head mudstart.png 1
tux_load_texture mud_mark mudprint.png 1
tux_load_texture mud_tail mudstop.png 1
tux_bind_texture mud_head mud_head
tux_bind_texture mud_mark mud_mark
tux_bind_texture mud_tail mud_tail

# snow Particle
tux_load_texture snow_particle snowparticles.png 0
tux_bind_texture snow_particle snow_particle

# dirtsnow Particle
tux_load_texture dirtsnow_particle dirtsnowparticles.png 0
tux_bind_texture dirtsnow_particle dirtsnow_particle

# mud particle
tux_load_texture mud_particle mudparticles.png 0
tux_bind_texture mud_particle mud_particle


# icy terrains

# the first registered terrain is used as a fallback in case
# the terrain image contains unknown values
tux_terrain_tex -name ice -texture ice.png \
	-colour {0 0 0} \
	-friction 0.22 \
	-compression 0.03 \
	-envmap_texture terrain_envmap \
	-sound ice_sound

tux_terrain_tex -name greenice -texture greenice.png \
	-colour {90 90 90} \
	-friction 0.22 \
	-compression 0.03 \
	-envmap_texture terrain_envmap \
	-sound ice_sound

tux_terrain_tex -name hardice -texture hardice.png \
	-colour {0 0 128} \
	-friction 0.22 \
	-compression 0.03 \
	-envmap_texture terrain_envmap \
	-sound ice_sound


# hard/rock terrains

tux_terrain_tex -name rock -texture rock.png \
	-colour {128 128 128} \
	-friction 0.9 \
	-compression 0.01 \
	-sound rock_sound

tux_terrain_tex -name snowyrock -texture snowyrock.png \
	-colour {176 128 128} \
	-friction 1.2 \
	-compression 0.01 \
	-sound rock_sound

tux_terrain_tex -name speed -texture speed.png \
	-colour {255 255 0} \
	-friction -1.0 \
	-compression 0.03 \
	-sound ice_sound

tux_terrain_tex -name road -texture road.png \
	-colour {255 0 255} \
	-friction 0.5 \
	-compression 0.03 \
	-sound rock_sound

tux_terrain_tex -name sand -texture sand.png \
	-colour {255 192 0} \
	-friction 0.9 \
	-compression 0.01 \
	-sound snow_sound

tux_terrain_tex -name redsand -texture redsand.png \
	-colour {255 144 0} \
	-friction 0.9 \
	-compression 0.01 \
	-sound snow_sound

tux_terrain_tex -name lavastone -texture lavastone.png \
	-colour {160 0 0} \
	-friction 0.9 \
	-compression 0.01 \
	-sound rock_sound

tux_terrain_tex -name lava -texture lava.png \
	-colour {255 121 23} \
	-friction 0.9 \
	-compression 0.01 \
	-envmap_texture terrain_envmap \
	-sound ice_sound


#snowy/soft terrains

tux_terrain_tex -name snow -texture snow.png \
	-colour {255 255 255} \
	-friction 0.35 \
	-compression 0.11 \
	-particles snow_particle \
	-track_head snow_head \
	-track_mark snow_mark \
	-track_tail snow_tail \
	-sound snow_sound

tux_terrain_tex -name stsnow1 -texture stsnow1.png \
	-colour {176 176 255} \
	-friction 0.35 \
	-compression 0.11 \
	-particles snow_particle \
	-track_head snow_head \
	-track_mark snow_mark \
	-track_tail snow_tail \
	-sound snow_sound

tux_terrain_tex -name stsnow2 -texture stsnow2.png \
	-colour {144 144 255} \
	-friction 0.35 \
	-compression 0.11 \
	-particles snow_particle \
	-track_head snow_head \
	-track_mark snow_mark \
	-track_tail snow_tail \
	-sound snow_sound

tux_terrain_tex -name dirtsnow -texture dirtsnow.png \
	-colour {192 192 192} \
	-friction 0.35 \
	-compression 0.11 \
	-particles dirtsnow_particle \
	-track_head dirtsnow_head \
	-track_mark dirtsnow_mark \
	-track_tail dirtsnow_tail \
	-sound snow_sound

tux_terrain_tex -name dsnow -texture dsnow.png \
	-colour {208 208 160} \
	-friction 0.35 \
	-compression 0.11 \
	-particles dirtsnow_particle \
	-track_head dirtsnow_head \
	-track_mark dirtsnow_mark \
	-track_tail dirtsnow_tail \
	-sound snow_sound

tux_terrain_tex -name dsnow2 -texture dsnow2.png \
	-colour {208 160 208} \
	-friction 0.35 \
	-compression 0.11 \
	-particles dirtsnow_particle \
	-sound snow_sound

tux_terrain_tex -name snowygrass -texture snowygrass.png \
	-colour {176 255 176} \
	-friction 0.5 \
	-compression 0.06 \
	-particles dirtsnow_particle \
	-track_head dirtsnow_head \
	-track_mark dirtsnow_mark \
	-track_tail dirtsnow_tail \
	-sound snow_sound

tux_terrain_tex -name mud -texture mud.png \
	-colour {176 128 80} \
	-friction 0.35 \
	-compression 0.11 \
	-particles mud_particle \
	-track_head mud_head \
	-track_mark mud_mark \
	-track_tail mud_tail \
	-sound snow_sound

